/*
 * select.h -- Function prototypes for select.c.
 * Dean Collins -- Mon Feb  8 21:17:40 PST 1993
 */

/*
 * Copyright (c) 1992,1993 Dean Collins.
 * Copyright (c) 1992 University of Idaho, Moscow, Idaho.
 * 
 * Permission to use, copy, modify, and distribute this software and its
 * documentation free of charge for any purpose is hereby granted without
 * fee, provided that the above copyright notices appear in all copies and
 * that both those copyright notices and this permission notice appear in
 * supporting documentation, and that neither the name of the University of
 * Idaho nor the name of Dean Collins be used in advertising or publicity
 * pertaining to distribution of the software without specific, written
 * prior permission from both parties.  Neither The University of Idaho
 * nor Dean Collins make any representations about the suitability of
 * this software for any purpose.  It is provided "as is" without express
 * or implied warranty.
 * 
 * THE UNIVERSITY OF IDAHO AND DEAN COLLINS DISCLAIM ALL WARRANTIES WITH
 * REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS.  IN NO EVENT SHALL THE UNIVERSITY OF IDAHO
 * OR DEAN COLLINS BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL
 * DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR
 * PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
 * ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF
 * THIS SOFTWARE.
 */



void AddProblemSelect   (Widget w, XtPointer client_data, XtPointer call_data) ;
void CancelReopenSelect (Widget w, XtPointer client_data, XtPointer call_data) ;
void CancelSaveSelect   (Widget w, XtPointer client_data, XtPointer call_data) ;
void DeleteProblemSelect(Widget w, XtPointer client_data, XtPointer call_data) ;
void EditProblemSelect  (Widget w, XtPointer client_data, XtPointer call_data) ;
void MoveProblemSelect  (Widget w, XtPointer client_data, XtPointer call_data) ;
void PreviousMenuSelect (Widget w, XtPointer client_data, XtPointer call_data) ;
void PrintProblemSelect (Widget w, XtPointer client_data, XtPointer call_data) ;
void QuitMainMenuSelect (Widget w, XtPointer client_data, XtPointer call_data) ;
void ReopenAcceptSelect (Widget w, XtPointer client_data, XtPointer call_data) ;
void ReopenDenyCancelSelect(Widget w, XtPointer client_data, XtPointer call_data) ;
void ReopenDenyMailSelect(Widget w, XtPointer client_data, XtPointer call_data);
void ReopenDenySelect   (Widget w, XtPointer client_data, XtPointer call_data) ;
void ReopenRequestSelect(Widget w, XtPointer client_data, XtPointer call_data) ;
void ReopenSelect       (Widget w, XtPointer client_data, XtPointer call_data) ;
void ReportAgainSelect  (Widget w, XtPointer client_data, XtPointer call_data) ;
void SaveMOTDButtonSelect(Widget w, XtPointer client_data, XtPointer call_data);
void SaveProblemSelect  (Widget w, XtPointer client_data, XtPointer call_data) ;
void SleepButtonSelect  (Widget w, XtPointer client_data, XtPointer call_data) ;
void SolveProblemSelect (Widget w, XtPointer client_data, XtPointer call_data) ;

/* end of select.h */
