.TH ptsager 1 "26 November 1993" "Zombie Software" "PTS version 1.03"
.SH NAME
ptsager - Problem Tracking System problem-ager/auto-mailer.
.SH SYNOPSIS
ptsager
.SH DESCRIPTION
.I PTS
is a database tool which is used to improve communication 
between system users and support personnel about problems encountered
with the system.  
.I
Ptsager
scans through the 
.I PTS
database once a day and sends electronic mail
to certain system users about problems that have remained unsolved for
several days.
.PP
.I Ptsager
must be executed by the owner of the
.I PTS
database, usually "support".  Executing 
.I Ptsager
as the user "root" is strongly discouraged.
.SH USAGE
The
.I ptsager
program should be executed nightly by cron.  On a BSD-like system,
you can do this by editing the file
.I /usr/lib/crontab
and adding the following lines:


# Run the PTS program, "ptsager", to notify people of old
.br
# unsolved problems.
.br
# (This should only take a second or two.)
.br
30 3 * * * support /usr/local/bin/ptsager

A similar functionality is present on System V machines.

.SH MORE INFORMATION
.I Much
more documentation is available.  The Software Requirements Specification
and the Software Design Document are available.
[Note:  PTS version 1.03 is being distributed without the
complete SRS and SDD.  Future releases will include
the documentation as described.]
.SH FILES
/usr/local/lib/PTS --
.I  PTS
library files.
.br
/usr/local/lib/PTS/pts.cf --
.I  PTS
configuration file.
.br
/usr/local/lib/PTS/DB --
.I  PTS
database.
.br
.SH SEE ALSO
ptsager(1M), xpts(1), pts.cf(8), zdbm(3), pts(7).
.SH AUTHORS
The Problem Tracking System was designed by
.I Zombie Software
at the University of Idaho.
.I ptsager
was designed and implemented by Brian Goff and Dean Collins.
See pts(1) for more information.

.sp 1
.SH COPYRIGHT
Copyright (c) 1993,1992 Dean Collins, Chris Hyde, Luke Sheneman, Brian Goff,
and John Hunter.
.br
Copyright (c) 1992 University of Idaho, Moscow, Idaho.

